@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

header,
body,
footer {
    background-color: lightcyan;
    font-family: 'Roboto';
}

.menu {
    position: fixed;
    height: 100vh;
    background: blue;
    width: 10vw;
    box-shadow: 1px 0 2px rga(0,0,0,.2)
    transition: 1s; }
    .menu:hover {
        width: 40vw; }
    .menu:hover ~ .container {
        transform: perspective(80vw) 
        rotateX(10deg) translateX(35vw) 
        scaleY(1.2); }
    .menu:hover nav {
        left: 20%;
    }

.navvy {
  position: absolute;
  margin-top: 50%;
  left: -1000px;
  transition: .5s; }
  .navvy ul {
    color: white;
    text-transform: uppercase;
    list-style-type: none; }
  .navvy li {
    line-height: 2em;
    letter-spacing: .3em; }
  .navvy a {
    font-size: 30px;
    text-decoration: none;
    color: white;
    font-weight: 600; }
    .navvy a:hover {
      color: #eee; }


.container {
  width: 90%;
  margin-left: 10vw;
  background: #FDFDFD;
  transition: 1s;
  transform-origin: left center;
  color: #D2D2D0; }
  .container .content {
    padding: 100px 20%; }


.topnav {
    align: center;
    position: relative;
    overflow: hidden;
    background-color: #333;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
}

.topnav a {
    float: left;
    color: white;
    text-align: center;
    padding: 14px 16px;
    font-size: 18px;
    text-decoration: none;
}

.topnav a:hover {
    background-color: dodgerblue;
    color: black;
}

.topnav a.active{
    background-color: #04AA6D;
    color: white;
}


.small-image{
    width: 120px;
    height: 120px;
}

.song-grid{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(4, 1fr);
    align: center;
    text-align: center;
    gap: 20px;
    row-gap: 40px;
}

.song-title{
    font-weight: bold;
    font-size: 17px
}

.song-artist{
    color: rgb(94, 93, 93);
    font-size: 13px;
}

button.button {
    background-color: dodgerblue;
    border: 2 px solid transparent;
    border-radius: 4px;
    color: white;
    padding: 1em 1.5em;
    text-transform: lowercase;
}

button.button:hover{
    background-color: white;
    border-color: dodgerblue;
    color: dodgerblue;
}

button.button:active{
    background-color: darkblue;
}

footer {
    text-align: center;
    font-size: 13px;
    position: absolute;
    width: 100%;
    bottom: 0;
}